function loadTest(css, js) {
	document.getElementById('tests').style.display = 'none';
	document.getElementById('reload_link').style.display = 'block';
	if (css != undefined) {
		var link = document.createElement('link');
		link.setAttribute('href', css);
		link.setAttribute('rel', 'stylesheet');
		link.setAttribute('type', 'text/css');
		link.setAttribute('media', 'screen');
		var n = document.getElementsByTagName('link')[0];
		n.parentNode.appendChild(link);
	}
	if (js != undefined) {
		var script = document.createElement('script');
		script.setAttribute('src', js);
		var n = document.getElementsByTagName('script')[0];
		n.parentNode.appendChild(script);
	}
}

function toggleInputs()
{
	var skipRadio = false;
	$('input').each(function() {
		if (!skipRadio && $(this).attr('type') == 'radio' && !$(this).prop('checked')) {
			$(this).prop('checked', !$(this).prop('checked'));
			skipRadio = true;
		}
		if (!($(this).attr('type') == 'radio' && skipRadio)) {
			$(this).prop('checked', !$(this).prop('checked'));
		}
		$('#msg_out').text($('#msg_out').text() + '\nStav ' + $(this).attr('name') + ': ' + $(this).prop('checked'));
	});
}

jQuery(function($) {
	$('form input').change(function(e) {
		$('#msg_out').text($('#msg_out').text() + '\nZmena ' + $(this).attr('name') + ': ' + $(this).prop('checked'));
	});
});
